## deepin-service-manager 1.0.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.13)

set (VERSION "1.0.0" CACHE STRING "define project version")

project(deepin-service)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

include(GNUInstallDirs)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
# 设置二进制输出目录 方便调试
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")

add_subdirectory("src")
# TODO
add_subdirectory("misc")

# TODO:tests, 目前的tests是以前的，后续删掉，补充新的test
# add_subdirectory("tests")

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/system/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/system/${wantsdir}/)
endmacro(install_symlink)
macro(install_user_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/user/${wantsdir}/)
endmacro(install_user_symlink)

install(FILES org.deepin.ServiceManager1.conf
    DESTINATION share/dbus-1/system.d/
)

install(FILES deepin-service-manager.service
    DESTINATION lib/systemd/system/
)

install(FILES deepin-service-group@.service
    DESTINATION lib/systemd/system/
)

install(FILES deepin-service-plugin@.service
    DESTINATION lib/systemd/system/
)

install(FILES deepin-service-manager.service
    DESTINATION lib/systemd/user/
)

install(FILES deepin-service-group@.service
    DESTINATION lib/systemd/user/
)

install(FILES deepin-service-plugin@.service
    DESTINATION lib/systemd/user/
)

install_symlink(deepin-service-manager.service multi-user.target.wants)
install_user_symlink(deepin-service-manager.service default.target.wants)

set(LIB_NAME "deepin-qdbus-service")

# config pkgconfig file
configure_file(${LIB_NAME}.pc.in ${LIB_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
# config cmake file
configure_file(${LIB_NAME}Config.cmake.in ${LIB_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${LIB_NAME})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(SRC_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    ADD_DEFINITIONS(-DSERVICE_CONFIG_DIR="${CMAKE_BINARY_DIR}/share/")
    ADD_DEFINITIONS(-DSERVICE_LIB_DIR="${CMAKE_BINARY_DIR}/lib/")
else()
    ADD_DEFINITIONS(-DSERVICE_CONFIG_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-service-manager/")
    ADD_DEFINITIONS(-DSERVICE_LIB_DIR="${CMAKE_INSTALL_FULL_LIBDIR}/deepin-service-manager/")
endif()

add_subdirectory("core")
add_subdirectory("deepin-service-manager")
add_subdirectory("libqdbusservice")

add_subdirectory("plugin-qt")
add_subdirectory("plugin-sdbus")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory("demo")
endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME dde_service_manager_ut)

# 自动生成moc文件
set(CMAKE_AUTOMOC ON)

# 源文件
file(GLOB_RECURSE SRCS
    "../src/deepin-service-manager/dbus_manager.h"
    "../src/deepin-service-manager/dbus_manager.cpp"
    "*.h"
    "*.cpp")

# Sources files
file(GLOB_RECURSE PLUGIN_SRCS "")

# 查找gmock的cmake文件
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/tests/cmake/modules)

# 查找依赖库
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5 COMPONENTS Test REQUIRED)
find_package(GTest REQUIRED)
find_package(GMock REQUIRED)

ADD_COMPILE_OPTIONS(-fno-access-control)

# 添加执行文件信息
add_executable(${BIN_NAME}
    ${SRCS}
    ${PLUGIN_SRCS})

# 包含路径
target_include_directories(${BIN_NAME} PUBLIC
    ../src/dde-service-manager
)

# 链接库
target_link_libraries(${BIN_NAME} PRIVATE
    ${Qt5Test_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
    -lpthread
    -lm
)

add_custom_target(check)

add_custom_command(TARGET check
    COMMAND ./${BIN_NAME}
    )

add_dependencies(check ${BIN_NAME})

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(LIB_NAME "core-service")

project(${LIB_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd) # sdbus

file(GLOB_RECURSE LIB_SRCS
  "*.h"
  "*.cpp"
)
add_library(${LIB_NAME} STATIC
  ${LIB_SRCS}
)
target_include_directories(${LIB_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
  PkgConfig::Systemd # sdbus
)

target_link_libraries(${LIB_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
  PkgConfig::Systemd # sdbus
)

=== src/deepin-service-manager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(BIN_NAME "deepin-service-manager")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus REQUIRED)

# Sources files
file(GLOB_RECURSE SRCS
  "*.h"
  "*.cpp"
  "${SRC_BASE_DIR}/libqdbusservice/*.cpp"
  "${SRC_BASE_DIR}/libqdbusservice/*.h"
)

add_executable(${BIN_NAME}  ${SRCS})

target_compile_definitions(${BIN_NAME} PRIVATE
  VERSION="${VERSION}"
)

target_link_directories(${BIN_NAME} PRIVATE
  ${CMAKE_BINARY_DIR}/core/
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
  ${SRC_BASE_DIR}/core
  ${SRC_BASE_DIR}/libqdbusservice
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
  core-service
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/other/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/manager.json ${CMAKE_BINARY_DIR}/share/other/)
else()
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/manager.json DESTINATION share/deepin-service-manager/other/)
endif()

=== src/demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_subdirectory("plugin-qt")
add_subdirectory("plugin-sdbus")

add_subdirectory("libqdbusservice-demo")

# add_subdirectory("hook-demo")

=== src/libqdbusservice/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(LIB_NAME "deepin-qdbus-service")

project(${LIB_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus REQUIRED)

file(GLOB_RECURSE LIB_SRCS
  "*.h"
  "*.cpp"
)
add_library(${LIB_NAME} SHARED
  ${LIB_SRCS}
)

target_link_directories(${LIB_NAME} PRIVATE
  ${CMAKE_BINARY_DIR}/core/
)

target_include_directories(${LIB_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
  ${SRC_BASE_DIR}/core
)

target_link_libraries(${LIB_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
  core-service
)
ADD_DEFINITIONS(-DEXPORT_LIBRARY)

install(TARGETS ${LIB_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES qdbusservice.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${LIB_NAME})

=== src/plugin-qt/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# add_subdirectory("xxx")

=== src/plugin-sdbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
# TODO:C compile

# add_subdirectory("xxx")

=== src/demo/hook-demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus REQUIRED)

set(SERVER_NAME "demo-server")
add_executable(${SERVER_NAME}
    server.cpp
    server1.h
    server2.h
)

set(CLIENT_NAME "demo-client")
add_executable(${CLIENT_NAME}
    client.cpp
)

target_link_libraries(${SERVER_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
)


target_link_libraries(${CLIENT_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
)

ADD_DEFINITIONS(-DNEW_QT)

=== src/demo/plugin-qt/demo2/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.13)

set(BIN_NAME "plugin-qt-demo2")

project(${BIN_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include(GNUInstallDirs)
find_package(Qt5 COMPONENTS Core Widgets DBus REQUIRED)

qt5_add_dbus_adaptor(ADAPTER_SOURCES
                     org.deepin.service.demo2a.xml
                     service.h
                     Service)

# Sources files
file(GLOB_RECURSE SRCS "*.h" "*.cpp")



add_library(${BIN_NAME} MODULE
    ${SRCS}
    ${ADAPTER_SOURCES}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt5::Core
  Qt5::DBus
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
)


if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/user/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-demo2.json ${CMAKE_BINARY_DIR}/share/user/)
else()
    # just need this in your project
    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-demo2.json DESTINATION share/deepin-service-manager/system/)
endif()

install(FILES org.deepin.service.demo2.conf
    DESTINATION share/dbus-1/system.d/
)

=== debian/changelog ===
deepin-service-manager (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- guoyao <guoyao@uniontech.com>  Fri, 14 Apr 2023 10:26:50 +0800

deepin-service-manager (1.0.2-1) unstable; urgency=medium

  * Initial release

 -- fanpengcheng <fanpengcheng@uniontech.com>  Tue, 18 Jan 2022 21:05:37 +0800

=== debian/control ===
Source: deepin-service-manager
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:  debhelper (>= 11),
 pkg-config,
 cmake,
 qtbase5-dev,
 libsystemd-dev
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin

Package: deepin-service-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: deepin desktop-environment - service manager frame
 Load system plug-ins for unified management

Package: libdeepin-service-framework-dev
Architecture: any
Depends:
 ${misc:Depends},
 libdeepin-service-framework( =${binary:Version})
Description: deepin desktop-environment - service frame for development

Package: libdeepin-service-framework
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: deepin desktop-environment - service frame

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export QT_SELECT = qt5

PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER) -DCMAKE_CXX_FLAGS="-Wl,--as-needed"

## deepin-service-manager 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 
 set (VERSION "1.0.0" CACHE STRING "define project version")
 
@@ -12,11 +12,13 @@
 endif()
 
 include(GNUInstallDirs)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
 # 设置二进制输出目录 方便调试
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")
+
+set(QT_VERSION_MAJOR 6)
 
 add_subdirectory("src")
 # TODO

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -16,28 +16,52 @@
     DESTINATION share/dbus-1/system.d/
 )
 
-install(FILES deepin-service-manager.service
+set(SYSTEMD_SLICE "")
+set(SYSTEMD_INSTALL "")
+configure_file(deepin-service-manager.service.in deepin-service-manager.service.system @ONLY)
+configure_file(deepin-service-group@.service.in deepin-service-group@.service.system @ONLY)
+set(SYSTEMD_INSTALL "[Install]\nWantedBy=multi-user.target")
+configure_file(deepin-service-plugin@.service.in deepin-service-plugin@.service.system @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-manager.service.system
     DESTINATION lib/systemd/system/
+    RENAME deepin-service-manager.service
 )
 
-install(FILES deepin-service-group@.service
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-group@.service.system
     DESTINATION lib/systemd/system/
+    RENAME deepin-service-group@.service
 )
 
-install(FILES deepin-service-plugin@.service
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-plugin@.service.system
     DESTINATION lib/systemd/system/
+    RENAME deepin-service-plugin@.service
 )
 
-install(FILES deepin-service-manager.service
+set(SYSTEMD_SLICE "Slice=session.slice")
+set(SYSTEMD_INSTALL "")
+configure_file(deepin-service-group@.service.in deepin-service-group@.service.user @ONLY)
+set(EXTRA_AFTER "dde-session-pre.target")
+set(REQUISITE "Requisite=dde-session-initialized.target dde-session-pre.target")
+set(PARTOF "PartOf=dde-session-initialized.target")
+set(BEFORE "Before=dde-session-initialized.target")
+configure_file(deepin-service-manager.service.in deepin-service-manager.service.user @ONLY)
+set(SYSTEMD_INSTALL "[Install]\nWantedBy=default.target")
+configure_file(deepin-service-plugin@.service.in deepin-service-plugin@.service.user @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-manager.service.user
     DESTINATION lib/systemd/user/
+    RENAME deepin-service-manager.service
 )
 
-install(FILES deepin-service-group@.service
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-group@.service.user
     DESTINATION lib/systemd/user/
+    RENAME deepin-service-group@.service
 )
 
-install(FILES deepin-service-plugin@.service
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-plugin@.service.user
     DESTINATION lib/systemd/user/
+    RENAME deepin-service-plugin@.service
 )
 
 install_symlink(deepin-service-manager.service multi-user.target.wants)

=== src/demo/hook-demo/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
 
 set(SERVER_NAME "demo-server")
 add_executable(${SERVER_NAME}
@@ -19,14 +19,14 @@
 )
 
 target_link_libraries(${SERVER_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
 )
 
 
 target_link_libraries(${CLIENT_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
 )
 
 ADD_DEFINITIONS(-DNEW_QT)

=== debian/changelog ===
deepin-service-manager (1.0.11) unstable; urgency=medium

  * chore: check Qt type plugin Qt-Version

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 06 Mar 2025 19:35:25 +0800

deepin-service-manager (1.0.10) unstable; urgency=medium

  * chore: adapt to Qt6.8

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Mon, 03 Mar 2025 11:35:25 +0800

deepin-service-manager (1.0.9) unstable; urgency=medium

  * Release 1.0.9
  * feat:修改deepin-service-manager进程名称

 -- Chengqi E <echengqi@uniontech.com>  Fri, 10 Jan 2025 10:28:25 +0800

deepin-service-manager (1.0.8) unstable; urgency=medium

  * Release 1.0.8
  * fix:修复deepin-service-manager进入桌面崩溃问题

 -- Chengqi E <echengqi@uniontech.com>  Fri, 29 Nov 2024 11:07:25 +0800

deepin-service-manager (1.0.7) unstable; urgency=medium

  * Release 1.0.7
  * chore: 支持qt插件使用gui，解决崩溃问题

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 31 Oct 2024 15:34:25 +0800

deepin-service-manager (1.0.6) unstable; urgency=medium

  * chore: 解决插件使用传递的dbus，处理dbus相关操作失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 29 Oct 2024 17:20:18 +0800

deepin-service-manager (1.0.5) unstable; urgency=medium

  * chore: 去掉插件包，插件整合在deepin-service-plugins项目中

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 19:12:30 +0800

deepin-service-manager (1.0.4) unstable; urgency=medium

  * fix:修复dde-appearance不能正常启动
  * chore: systemd hardening

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:43:21 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Build-Depends:  debhelper (>= 11),
  pkg-config,
  cmake,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-tools-dev-tools,
+ qt6-tools-dev,
  libsystemd-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/linuxdeepin
@@ -15,6 +17,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends:
+ deepin-service-plugins
 Description: deepin desktop-environment - service manager frame
  Load system plug-ins for unified management
 
@@ -31,3 +35,4 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Description: deepin desktop-environment - service frame
+

## deepin-service-manager 1.0.13

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+add_compile_options(-fPIC)
+
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd) # sdbus
@@ -21,14 +24,14 @@
   ${LIB_SRCS}
 )
 target_include_directories(${LIB_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   PkgConfig::Systemd # sdbus
 )
 
 target_link_libraries(${LIB_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   PkgConfig::Systemd # sdbus
 )

=== src/deepin-service-manager/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui Core DBus)
 
 # Sources files
 file(GLOB_RECURSE SRCS
@@ -27,15 +27,17 @@
 )
 
 target_include_directories(${BIN_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Gui
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   ${SRC_BASE_DIR}/core
   ${SRC_BASE_DIR}/libqdbusservice
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Gui
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   core-service
 )

=== src/demo/libqdbusservice-demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set(BIN_NAME "qdbus-service-demo")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

project(${BIN_NAME})

include(GNUInstallDirs)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
  find_package(deepin-qdbus-service REQUIRED) # just need this in your project
endif()

qt_add_dbus_adaptor(ADAPTER_SOURCES
                     org.deepin.service.sdk.demo.xml
                     service.h
                     Service)

file(GLOB_RECURSE SRCS
  "main.cpp"
  "service.cpp"
)

add_executable(${BIN_NAME}
    ${SRCS}
    ${ADAPTER_SOURCES}
)
if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    set(Service_INCLUDE_DIR ${SRC_BASE_DIR}/libqdbusservice)
    set(Service_LIBRARIES deepin-qdbus-service)
    target_link_directories(${BIN_NAME} PRIVATE
        ${CMAKE_BINARY_DIR}/lib
    )
else()
    # just need this in your project
    set(Service_INCLUDE_DIR ${deepin-qdbus-service_INCLUDE_DIR})
    set(Service_LIBRARIES ${deepin-qdbus-service_LIBRARIES})
    add_definitions(-DSERVICE_CONFIG_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-service-manager/")
endif()

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  ${Service_INCLUDE_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  ${Service_LIBRARIES}
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/other/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/sdk-demo.json ${CMAKE_BINARY_DIR}/share/other/)
else()
    # just need this in your project
    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES sdk-demo.json DESTINATION share/deepin-service-manager/other/)
endif()

install(FILES org.deepin.service.sdk.demo.service DESTINATION share/dbus-1/system-services/)
install(FILES org.deepin.service.sdk.demo.conf
    DESTINATION share/dbus-1/system.d/
)

=== src/demo/plugin-sdbus/demo1/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set(Plugin_NAME "plugin-sdbus-demo1")

project(${Plugin_NAME})

find_package(PkgConfig REQUIRED)
pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)

# Sources files
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

add_library(${Plugin_NAME} MODULE
    ${SRCS}
)

target_include_directories(${Plugin_NAME} PUBLIC
    PkgConfig::Systemd
)

target_link_libraries(${Plugin_NAME}
    PkgConfig::Systemd
    -lpthread
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/user/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/plugin-sdbus-demo1.json ${CMAKE_BINARY_DIR}/share/user/)
else()
    # just need this in your project
    install(TARGETS ${Plugin_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-sdbus-demo1.json DESTINATION share/deepin-service-manager/user/)
endif()

=== debian/changelog ===
deepin-service-manager (1.0.13) unstable; urgency=medium

  * chore: update build dependencies dtkCore in debian/control

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 12 Jun 2025 20:22:05 +0800

deepin-service-manager (1.0.12) unstable; urgency=medium

  * feat: add OOMScoreAdjust plugin
  * fix: rename deepin-service-plugins to dde-services

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 12 Jun 2025 19:38:15 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-export QT_SELECT = qt5
+export QT_SELECT = qt6
 
 PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')

## deepin-service-manager 1.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")
 
 set(QT_VERSION_MAJOR 6)
+set(DTK_VERSION_MAJOR 6)
 
 add_subdirectory("src")
 # TODO

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,7 @@
 add_subdirectory("core")
 add_subdirectory("deepin-service-manager")
 add_subdirectory("libqdbusservice")
-
 add_subdirectory("plugin-qt")
-add_subdirectory("plugin-sdbus")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory("demo")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
-cmake_minimum_required(VERSION 3.7)
+cmake_minimum_required(VERSION 3.16)
 
 set(BIN_NAME dde_service_manager_ut)
 
@@ -23,9 +23,7 @@
 
 # 查找依赖库
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5 COMPONENTS Test REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets DBus Test)
 find_package(GTest REQUIRED)
 find_package(GMock REQUIRED)
 
@@ -43,9 +41,9 @@
 
 # 链接库
 target_link_libraries(${BIN_NAME} PRIVATE
-    ${Qt5Test_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Test
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::DBus
     ${GTEST_LIBRARIES}
     ${GMOCK_LIBRARIES}
     -lpthread

=== src/libqdbusservice/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
 
 file(GLOB_RECURSE LIB_SRCS
   "*.h"
@@ -23,14 +23,14 @@
 )
 
 target_include_directories(${LIB_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   ${SRC_BASE_DIR}/core
 )
 
 target_link_libraries(${LIB_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
   core-service
 )
 ADD_DEFINITIONS(-DEXPORT_LIBRARY)

=== src/plugin-qt/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-# add_subdirectory("xxx")
+add_subdirectory("OOMScoreAdjust")

=== src/demo/plugin-qt/demo1/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set(BIN_NAME "plugin-qt-demo1")

project(${BIN_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)

add_library(${BIN_NAME} MODULE
    ${SRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/user/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-demo1.json ${CMAKE_BINARY_DIR}/share/user/)
else()
    # just need this in your project
    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-demo1.json DESTINATION share/deepin-service-manager/system/)
endif()

install(FILES org.deepin.service.demo1.conf
    DESTINATION share/dbus-1/system.d/
)

=== debian/changelog ===
deepin-service-manager (1.0.14) unstable; urgency=medium

  * refactor: update Debian build hardening flags

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:54:54 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  qt6-base-dev,
  qt6-tools-dev-tools,
  qt6-tools-dev,
- libsystemd-dev
+ libsystemd-dev,
+ libdtk6core-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/linuxdeepin
 
@@ -18,7 +19,7 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends:
- deepin-service-plugins
+ dde-services
 Description: deepin desktop-environment - service manager frame
  Load system plug-ins for unified management

## deepin-service-manager 1.0.16

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 add_subdirectory("core")
 add_subdirectory("deepin-service-manager")
 add_subdirectory("libqdbusservice")
-add_subdirectory("plugin-qt")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory("demo")

=== src/deepin-service-manager/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 set(CMAKE_AUTORCC ON)
 
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui Core DBus)
+find_package(Dtk6 COMPONENTS Core)
 
 # Sources files
 file(GLOB_RECURSE SRCS
@@ -38,6 +39,7 @@
   Qt${QT_VERSION_MAJOR}::Gui
   Qt${QT_VERSION_MAJOR}::Core
   Qt${QT_VERSION_MAJOR}::DBus
+  Dtk6::Core
   core-service
 )

=== src/demo/plugin-qt/demo2/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 
 set(BIN_NAME "plugin-qt-demo2")
 
@@ -11,9 +11,9 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 include(GNUInstallDirs)
-find_package(Qt5 COMPONENTS Core Widgets DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Widgets DBus)
 
-qt5_add_dbus_adaptor(ADAPTER_SOURCES
+qt_add_dbus_adaptor(ADAPTER_SOURCES
                      org.deepin.service.demo2a.xml
                      service.h
                      Service)
@@ -29,13 +29,13 @@
 )
 
 target_include_directories(${BIN_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt${QT_VERSION_MAJOR}::Core
+  Qt${QT_VERSION_MAJOR}::DBus
 )

=== debian/changelog ===
deepin-service-manager (1.0.16) unstable; urgency=medium

  * chore: update license from GPL-3+ to LGPL-3+
  * refactor: reduce log level from info to debug
  * chore: Sync by
    https://github.com/linuxdeepin/.github/commit/ae0f54a002362031e7e012
    f4be2d79cfb370a57e

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 20:46:29 +0800

deepin-service-manager (1.0.15) unstable; urgency=medium

  * Chore: Remove insecure and ineffective authority control
  * Chore: romve oom-adjust-score plugin to dde-services

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 21 Aug 2025 21:48:05 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export QT_SELECT = qt6
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER)

## deepin-service-manager 1.0.17

=== debian/changelog ===
deepin-service-manager (1.0.17) unstable; urgency=medium

  * fix: use QLibrary to load and check library version
  * fix: incorrect slot name in ServiceManager

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:17:16 +0800

## deepin-service-manager 1.0.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif()
+
+option(DISABLE_ELF_QT_CHECK "Disable ELF-header-based Qt version check" OFF)
 
 include(GNUInstallDirs)
 set(CMAKE_CXX_STANDARD 17)
@@ -27,4 +29,3 @@
 
 # TODO:tests, 目前的tests是以前的，后续删掉，补充新的test
 # add_subdirectory("tests")
-

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,13 @@
     RENAME deepin-service-group@.service
 )
 
+# Install drop-in configuration for deepin-daemon group
+configure_file(deepin-service-group@deepin-daemon.service.d/override.conf.in 
+    deepin-service-group@deepin-daemon.service.d/override.conf @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-group@deepin-daemon.service.d/override.conf
+    DESTINATION lib/systemd/system/deepin-service-group@deepin-daemon.service.d/
+)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/deepin-service-plugin@.service.system
     DESTINATION lib/systemd/system/
     RENAME deepin-service-plugin@.service
@@ -41,8 +48,8 @@
 set(SYSTEMD_SLICE "Slice=session.slice")
 set(SYSTEMD_INSTALL "")
 configure_file(deepin-service-group@.service.in deepin-service-group@.service.user @ONLY)
-set(EXTRA_AFTER "dde-session-pre.target")
-set(REQUISITE "Requisite=dde-session-initialized.target dde-session-pre.target")
+set(EXTRA_AFTER "dde-session-core.target")
+set(REQUISITE "Requisite=dde-session-core.target")
 set(PARTOF "PartOf=dde-session-initialized.target")
 set(BEFORE "Before=dde-session-initialized.target")
 configure_file(deepin-service-manager.service.in deepin-service-manager.service.user @ONLY)
@@ -65,7 +72,7 @@
 )
 
 install_symlink(deepin-service-manager.service multi-user.target.wants)
-install_user_symlink(deepin-service-manager.service default.target.wants)
+install_user_symlink(deepin-service-manager.service dde-session-initialized.target.wants)
 
 set(LIB_NAME "deepin-qdbus-service")
 
@@ -75,3 +82,6 @@
 # config cmake file
 configure_file(${LIB_NAME}Config.cmake.in ${LIB_NAME}Config.cmake @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${LIB_NAME})
+# debug config file
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-debug-config/org.deepin.service.manager.json DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-debug-config/deepin-debug-config.d)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-log-config/org.deepin.service.manager.json DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-log-viewer/deepin-log.conf.d)

=== src/deepin-service-manager/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui Core DBus)
 find_package(Dtk6 COMPONENTS Core)
+
+check_include_file("elf.h" HAVE_ELF_H)
 
 # Sources files
 file(GLOB_RECURSE SRCS
@@ -22,6 +24,12 @@
 target_compile_definitions(${BIN_NAME} PRIVATE
   VERSION="${VERSION}"
 )
+
+if (HAVE_ELF_H AND NOT DISABLE_ELF_QT_CHECK)
+  target_compile_definitions(${BIN_NAME} PRIVATE
+    ELF_QT_VER_CHECK=1
+  )
+endif()
 
 target_link_directories(${BIN_NAME} PRIVATE
   ${CMAKE_BINARY_DIR}/core/

=== debian/changelog ===
deepin-service-manager (1.0.21) unstable; urgency=medium

  * fix: correct systemd service dependencies and install location

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Feb 2026 19:26:57 +0800

deepin-service-manager (1.0.20) unstable; urgency=medium

  * fix: prevent duplicate plugin registration with mutex lock

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 15 Jan 2026 19:25:47 +0800

deepin-service-manager (1.0.19) unstable; urgency=medium

  * fix: tighten D-Bus service security policy
  * chore: install deepin-daemon service override file
  * feat: add deepin-daemon service group support

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 19:51:16 +0800

deepin-service-manager (1.0.18) unstable; urgency=medium

  * feat: add reproducible build parameters
  * feat: add debug and log configuration support
  * feat: check Qt version w/o actually loading so file

 -- fuleyi <fuleyi@uniontech.com>  Thu, 04 Dec 2025 19:13:55 +0800

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,13 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
+# reproducible编译参数
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_BUILD_RPATH=ON
+
 PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DVERSION=$(PACK_VER)
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) -DVERSION=$(PACK_VER)
